# http://github.com/eapache/queue
%global goipath         github.com/eapache/queue
Version:                1.1.0

%global common_description %{expand:
A fast Golang queue using a ring-buffer, based on the version suggested by 
Dariusz Górecki. Using this instead of other, simpler, queue implementations 
(slice+append or linked list) provides substantial memory and time benefits, 
and fewer GC pauses.

The queue implemented here is as fast as it is in part because it is not 
thread-safe.}

%gometa

Name:           %{goname}
Release:        2%{?dist}
Summary:        Fast golang queue using ring-buffer
Group:          Development/Other
# Detected licences
# - MIT/X11 (BSD like) at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
BuildArch:      noarch

%description
%{common_description}

%global golicenses      LICENSE
%global godocs          README.md
%global gosupfiles glide.lock glide.yaml

%gopkg
%prep
%goprep

%install
%gopkginstall


%check
%gocheck

%gopkgfiles



%changelog
* Thu Sep 17 2020 joequant <joequant> 1.1.0-2.mga8
+ Revision: 1628156
- fix build

* Wed Nov 21 2018 pterjan <pterjan> 1.1.0-1.mga7
+ Revision: 1333011
- SILENCE Make the main package noarch
- imported package golang-github-eapache-queue

